Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class KeyEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.draw2d.InputEvent
              org.eclipse.draw2d.KeyEvent

All Implemented Interfaces:
  Serializable

public class KeyEvent
extends InputEvent

An event caused by the user interacting with the keyboard.

See Also:
  Serialized Form

Field Summary
`char` `character` The character that was pressed.
`int` `keycode` The keycode.

Fields inherited from class org.eclipse.draw2d.InputEvent
`ALT, ANY_BUTTON, BUTTON1, BUTTON2, BUTTON3, BUTTON4, BUTTON5, CONTROL, SHIFT`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`KeyEvent(EventDispatcher dispatcher, IFigure source, org.eclipse.swt.events.KeyEvent ke)` Constructs a new KeyEvent.

Methods inherited from class org.eclipse.draw2d.InputEvent
`consume, getState, isConsumed`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### character

    public char character

  The character that was pressed.

  See Also:
    `KeyEvent`

### keycode

    public int keycode

  The keycode.

  See Also:
    `KeyEvent`

Constructor Detail

### KeyEvent

    public KeyEvent(EventDispatcher dispatcher,
                    IFigure source,
                    org.eclipse.swt.events.KeyEvent ke)

  Constructs a new KeyEvent.

Parameters:
  `dispatcher` - the event dispatcher
  `source` - the source of the event
  `ke` - an SWT key event used to supply the statemask, keycode and character

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.